Bug 114289 - subscript out of range
Summary: subscript out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 10:44 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 13:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-26 10:44:31 UTC
Description of problem:

I just tried to compile package gpm-1.20.1-38 from Redhat
Fedora Core 1.

The compiler said

1.

mice.c(2115): warning #175: subscript out of range

The source code is

      if (gunze_calib[1] == gunze_calib[4]) calibok = 0;

but earlier in the code is

static int gunze_calib[4]; /* x0,y0 x1,y1 (measured at 1/8 and 7/8) */

Clearly broken code. Suggest code re-work.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Florian La Roche 2004-02-19 13:05:56 UTC
Fixed in newest rawhide rpm.

Thanks for the bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.